## python-allpairspy 2.5.0

=== Makefile ===
PACKAGE := allpairspy
BUILD_WORK_DIR := _work
DIST_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)/dist


.PHONY: build
build:
	@rm -rf $(BUILD_WORK_DIR)/
	@mkdir -p $(BUILD_WORK_DIR)/
	@cd $(BUILD_WORK_DIR); \
		git clone https://github.com/thombashi/$(PACKAGE).git; \
		cd $(PACKAGE); \
		python setup.py sdist bdist_wheel
	@twine check $(DIST_DIR)/*
	ls -lh $(DIST_DIR)/*

.PHONY: clean
clean:
	@rm -rf $(PACKAGE)-*.*.*/ \
		$(BUILD_WORK_DIR) \
		dist/ \
		pip-wheel-metadata/ \
		.eggs/ \
		.pytest_cache/ \
		.tox/ \
		**/*/__pycache__/ \
		*.egg-info/
	@python setup.py clean --all
	@find . -not -path '*/\.*' -type f | grep -E .+\.py\.[a-z0-9]{32,}\.py$ | xargs -r rm

.PHONY: fmt
fmt:
	@black $(CURDIR)
	@autoflake --in-place --recursive --remove-all-unused-imports --exclude "__init__.py" .
	@isort --apply --recursive

.PHONY: release
release:
	@cd $(BUILD_WORK_DIR)/$(PACKAGE); python setup.py release --sign
	@make clean

=== requirements/requirements.txt ===
six>=1.10.0,<2.0.0

=== debian/changelog ===
python-allpairspy (2.5.0-1) unstable; urgency=low

  * Initial release (Closes: #1004334).

 -- Michael Fladischer <fladi@debian.org>  Tue, 25 Jan 2022 08:18:12 +0000

=== debian/control ===
Source: python-allpairspy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-six,
Standards-Version: 4.6.0.1
Homepage: https://github.com/thombashi/allpairspy/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-allpairspy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-allpairspy.git
Rules-Requires-Root: no

Package: python3-allpairspy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Pairwise test combinations generator (Python3 version)
 A Python library for test combinations generator. The generator allows one to
 create a set of tests using "pairwise combinations" method, reducing a number
 of combinations of variables into a lesser set that covers most situations.
 .
 Features:
  * Produces good enough dataset.
  * Pythonic, iterator-style enumeration interface.
  * Allows one to filter out "invalid" combinations during search for the next
    combination.
  * If/when required can generate n-wise combinations.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=allpairspy

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-allpairspy-$1.tar.gz/ \
https://github.com/thombashi/allpairspy/tags \
/thombashi/allpairspy/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-allpairspy 2.5.1

=== Makefile ===
OWNER := thombashi
PACKAGE := allpairspy
BUILD_WORK_DIR := _work
DIST_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)/dist
PKG_BUILD_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)
PYTHON := python3


.PHONY: build
build: clean
	@$(PYTHON) -m tox -e build
	ls -lh dist/*

.PHONY: build-remote
build-remote: clean
	@mkdir -p $(BUILD_WORK_DIR)
	@cd $(BUILD_WORK_DIR) && \
		git clone --depth 1 https://github.com/$(OWNER)/$(PACKAGE).git && \
		cd $(PACKAGE) && \
		$(PYTHON) -m tox -e build
	ls -lh $(PKG_BUILD_DIR)/dist/*

.PHONY: check
check:
	@$(PYTHON) -m tox -e lint

.PHONY: clean
clean:
	@rm -rf $(BUILD_WORK_DIR)
	@$(PYTHON) -m tox -e clean

.PHONY: fmt
fmt:
	$(PYTHON) -m tox -e fmt

.PHONY: release
release:
	@cd $(PKG_BUILD_DIR) && @$(PYTHON) setup.py release --verbose
	@$(MAKE) clean

.PHONY: setup-ci
setup-ci:
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade tox

.PHONY: setup
setup: setup-ci
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test] releasecmd
	@$(PYTHON) -m pip check

=== debian/changelog ===
python-allpairspy (2.5.1-3) unstable; urgency=medium

  * Team upload.
  * Reformat d/control with debputy
  * Bump Standards-Version to 4.7.0
  * Trim autopkgtest dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 14:59:16 +0100

python-allpairspy (2.5.1-2) unstable; urgency=medium

  * Team upload.
  * Remove extraneous python3-six build dependency
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 27 Aug 2024 22:35:58 +0200

python-allpairspy (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Build using pybuild-plugin-pyproject.
  * Copy pyproject.toml to AUTOPKGTEST_TMP during autopktests.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Fri, 21 Jul 2023 14:26:50 +0000

python-allpairspy (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Source only upload.
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Jun 2022 09:58:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,27 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Michael Fladischer <fladi@debian.org>
+Uploaders:
+ Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-pytest,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/thombashi/allpairspy/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-allpairspy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-allpairspy.git
 Rules-Requires-Root: no
+X-Style: black
 
 Package: python3-allpairspy
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Pairwise test combinations generator (Python3 version)
  A Python library for test combinations generator. The generator allows one to
  create a set of tests using "pairwise combinations" method, reducing a number

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME=allpairspy
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
